> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List EndUsers with Summary Information

> Get a list of EndUsers



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/summary
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/summary:
    get:
      tags:
        - EndUsers
      summary: List EndUsers with Summary Information
      description: Get a list of EndUsers
      parameters:
        - description: Unique ID generated by Heron
          in: query
          name: heron_id
          required: false
          schema:
            default: null
            example: eus_AbFiDg7rF4hZvftoymc5aa
            nullable: true
            type: string
        - description: Filter by ID associated with end_user_id field in transactions
          in: query
          name: end_user_id
          required: false
          schema:
            default: null
            example: your_end_user_id
            nullable: true
            type: string
        - description: Filter by name associated with end user
          in: query
          name: name
          required: false
          schema:
            default: null
            example: your_end_user_name
            nullable: true
            type: string
        - description: Filter by status of end user
          in: query
          name: status
          required: false
          schema:
            default: null
            enum:
              - new
              - ready
              - processed
              - reviewed
              - review_requested
              - failed
              - null
            example: reviewed
            nullable: true
            type: string
        - description: >-
            Pagination page number (optional). If provided, 'limit' must also be
            provided.
          in: query
          name: page
          required: false
          schema:
            default: null
            minimum: 1
            nullable: true
            type: integer
        - description: >-
            Pagination limit per page (optional). If provided, 'page' must also
            be provided.
          in: query
          name: limit
          required: false
          schema:
            default: null
            maximum: 10000
            minimum: 1
            nullable: true
            type: integer
        - description: Order to return end users by
          in: query
          name: order_by
          required: false
          schema:
            default: last_updated_desc
            enum:
              - last_updated_desc
              - last_updated_asc
              - created_desc
              - created_asc
            type: string
        - description: Whether the end user is part of a lending portfolio
          in: query
          name: is_portfolio
          required: false
          schema:
            default: null
            example: true
            nullable: true
            type: boolean
        - description: Whether the to include data sources for each end user
          in: query
          name: include_data_sources
          required: false
          schema:
            default: false
            example: true
            type: boolean
        - description: >-
            Whether to include scorecard metrics for each end user (under field
            criteria)
          in: query
          name: include_scorecard_metrics
          required: false
          schema:
            default: false
            example: true
            type: boolean
        - in: query
          name: with_policy_result
          required: false
          schema:
            default: null
            enum:
              - passed
              - failed
              - review_required
              - missing_data
              - null
            nullable: true
        - in: query
          name: with_crm_sync_result
          required: false
          schema:
            default: null
            enum:
              - success
              - failure
              - no_sync_attempted
              - null
            nullable: true
        - in: query
          name: interval_start
          required: false
          schema:
            default: null
            format: date-time
            nullable: true
            type: string
        - in: query
          name: interval_end
          required: false
          schema:
            default: null
            format: date-time
            nullable: true
            type: string
        - description: >-
            When true, interval_start and interval_end match end users created
            or last updated within the window. Bounds are inclusive only when
            this flag is true.
          in: query
          name: include_updates_in_interval
          required: false
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  _meta:
                    description: >-
                      Pagination metadata. Present only if pagination parameters
                      ('page' and 'limit') are provided in the request.
                    properties:
                      limit:
                        example: 100
                        type: integer
                      next_url:
                        format: url
                        nullable: true
                        type: string
                      page:
                        example: 1
                        type: integer
                      pages:
                        example: 3
                        type: integer
                      prev_url:
                        format: url
                        nullable: true
                        type: string
                      total:
                        example: 350
                        type: integer
                    type: object
                  end_users:
                    items:
                      $ref: '#/components/schemas/EndUserSummary'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserSummary:
      properties:
        confidence:
          description: >-
            Aggregated confidence for the end user across all transactions;
            between 0 and 1
          example: 0.42
          readOnly: true
          type: number
        created:
          description: When the end user was created in Heron system
          example: '2026-05-21T23:40:35.541634'
          format: date-time
          readOnly: true
          type: string
        criteria:
          description: List of scorecard metrics
          items:
            $ref: '#/components/schemas/Metric'
          readOnly: true
          type: array
        crm_sync_result:
          allOf:
            - $ref: '#/components/schemas/CrmSyncEvent'
          nullable: true
        data_sources:
          description: List of data source summaries for the end user
          items:
            $ref: '#/components/schemas/DataSource'
          readOnly: true
          type: array
        end_user_id:
          description: id defined by user; links to the end_user_id for transactions
          example: 2eaabbbc-26cf-4efd-8156-3ed1fd5bcb0d
          maxLength: 140
          minLength: 1
          type: string
        files:
          items:
            $ref: '#/components/schemas/EndUserEndUserFile'
          type: array
        heron_id:
          description: Unique id for end user generated by Heron
          example: eus_KwTFP6cRM5rYJMZgMRSXAo
          readOnly: true
          type: string
        is_portfolio:
          description: Whether the end user is part of a lending portfolio
          example: true
          type: boolean
        last_processed_at:
          description: When the end user was last successfully processed in Heron system
          example: '2026-07-02T23:40:35.541944'
          format: date-time
          readOnly: true
          type: string
        last_updated:
          description: When the end user was last updated in Heron system
          example: '2026-07-02T23:40:35.541688'
          format: date-time
          readOnly: true
          type: string
        name:
          description: Name of end user; may help to improve categorisation accuracy
          example: Company Name Inc.
          maxLength: 128
          nullable: true
          type: string
        policy_evaluation_results:
          description: >-
            One entry per use_case, carrying the latest evaluation's policy
            identity and result
          items:
            $ref: '#/components/schemas/PolicyEvaluationResult'
          type: array
        policy_evaluations:
          items:
            enum:
              - passed
              - failed
              - review_required
              - missing_data
          type: array
        profit_and_loss_layout:
          nullable: true
        status:
          description: >-
            Status of end user; 'ready' triggers async processing,
            'review_requested' triggers manual review request
          enum:
            - new
            - ready
            - processed
            - reviewed
            - review_requested
            - failed
          example: ready
          type: string
      required:
        - end_user_id
      type: object
    Metric:
      properties:
        context:
          description: >-
            Context for how to interpret the metric, e.g., whether a higher
            value is 'better' than a lower value
          enum:
            - higher_is_better
            - lower_is_better
            - null
          example: higher_is_better
          nullable: true
          type: string
        currency:
          description: The ISO currency code for metric, where applicable
          nullable: true
          type: string
        date_range:
          description: Metric date range
          enum:
            - latest
            - last_30_days
            - last_90_days
            - last_120_days
            - last_180_days
            - last_365_days
            - next_30_days
            - next_60_days
            - next_90_days
            - next_180_days
            - last_1_calendar_months
            - last_3_calendar_months
            - last_4_calendar_months
            - last_6_calendar_months
            - last_12_calendar_months
            - last_15_calendar_months
            - last_24_calendar_months
            - last_1_full_calendar_months
            - last_2_full_calendar_months
            - last_3_full_calendar_months
            - last_6_full_calendar_months
            - last_12_full_calendar_months
            - last_60_days
            - last_45_days
            - last_2_calendar_months
          example: last_180_days
          type: string
        description:
          description: Description of metric
          example: The number of unique transactions with a timestamp
          nullable: true
          type: string
        group:
          description: The type of metric
          enum:
            - data_quality
            - processing_quality
            - balance
            - profit_and_loss
            - debt
            - risk_flag
            - forecast
            - heron
            - ml_feature
          example: data_quality
          type: string
        label:
          description: Metric label, slugified
          example: unique_transactions
          type: string
        status:
          description: >-
            either 'calculated' or 'not_available' depending on the requested
            date range vs. date range of the data
          enum:
            - available
            - partially_available
            - not_available
            - null
          example: not_available
          nullable: true
          type: string
        unit:
          description: The unit of measurement for metric
          enum:
            - 'n'
            - day
            - ratio
            - amount
            - weekday
            - array
            - probability
          example: 'n'
          type: string
        value:
          description: The metric value
          example: 42.42
          nullable: true
      type: object
    CrmSyncEvent:
      properties:
        crm_record_url:
          nullable: true
          type: string
        error_message:
          nullable: true
          type: string
        heron_id:
          type: string
        name:
          type: string
        occurred_at:
          format: date-time
          type: string
        provider:
          nullable: true
          type: string
        result:
          enum:
            - success
            - failure
            - no_sync_attempted
        success_message:
          nullable: true
          type: string
      type: object
    DataSource:
      properties:
        status:
          description: >-
            Status of the data source entity, where applicable (e.g. pdfs,
            integration links)
          enum:
            - new
            - parsing
            - parsed
            - processed
            - human_reviewing
            - approved
            - rejected
            - failed
            - transactions_loaded
            - transactions_unloaded
            - pending
            - active
            - syncing
            - erroring
            - sync_disabled
            - deleted_in_plaid
            - unknown
          example: new
          type: string
        type:
          description: Data source type
          enum:
            - api
            - csv
            - pdf
            - integration_link
            - legacy
            - legacy_pdf
            - legacy_integration_link
          example: pdf
          type: string
      required:
        - type
      type: object
    EndUserEndUserFile:
      properties:
        file_class:
          nullable: true
          type: string
        filename:
          type: string
        heron_id:
          type: string
        renamed_filename:
          type: string
      type: object
    PolicyEvaluationResult:
      properties:
        policy_heron_id:
          description: Heron ID of the policy that was evaluated
          type: string
        policy_name:
          description: Name of the policy that was evaluated
          type: string
        result:
          description: Result of the policy evaluation
          enum:
            - passed
            - failed
            - review_required
            - missing_data
        use_case:
          description: >-
            Use case of the policy; null only for evaluations predating the
            backfill
          enum:
            - background_check
            - cashflow
            - null
          nullable: true
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````